Skip to main content
GET
/
api
/
public
/
v1
/
assets
Get API public v1 assets
curl --request GET \
  --url https://api.coinversa.ai/api/public/v1/assets \
  --header 'X-API-Key: <api-key>'
{
  "assets": [
    {
      "canonical": "<string>",
      "crossMarket": true,
      "synonyms": [
        "<string>"
      ],
      "totalOpenInterest": 123,
      "totalPositions": 123,
      "totalVolume24h": 123,
      "venueCount": 123,
      "venues": [
        {
          "collateral": "<string>",
          "dex": "<string>",
          "isSynonym": true,
          "symbol": "<string>",
          "ticker": "<string>",
          "fundingRate": 123,
          "markPx": 123,
          "openInterest": 123,
          "positions": 123,
          "volume24h": 123
        }
      ]
    }
  ],
  "count": 123,
  "crossMarketCount": 123,
  "venues": [
    "<string>"
  ],
  "$schema": "<string>"
}

Documentation Index

Fetch the complete documentation index at: https://docs.coinversa.ai/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

X-API-Key
string
header
required

Query Parameters

crossMarketOnly
boolean

Return only assets listed on 2+ venues

Response

OK

assets
object[] | null
required
count
integer<int64>
required
crossMarketCount
integer<int64>
required
venues
string[] | null
required
$schema
string<uri>
read-only

A URL to the JSON Schema for this object.

Example:

"https://example.com/schemas/GetAssetsBody.json"